# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLOptionElement Class Reference

A selectable choice. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLOptionElement:

[legend]
Collaboration diagram for DOM::HTMLOptionElement:

[legend]
List of all members.

## Public Member Functions

| HTMLOptionElement (const HTMLOptionElement &other)
| HTMLOptionElement (const Node &other)
HTMLOptionElement & | operator= (const HTMLOptionElement &other)
HTMLOptionElement & | operator= (const Node &other)
HTMLFormElement | form () const
bool | defaultSelected () const
void | setDefaultSelected (bool)
DOMString | text () const
long | index () const
void | setIndex (long)
bool | disabled () const
void | setDisabled (bool)
DOMString | label () const
void | setLabel (const DOMString &)
bool | selected () const
void | setSelected (bool)
DOMString | value () const
void | setValue (const DOMString &)

## Protected Member Functions

| HTMLOptionElement (HTMLOptionElementImpl *impl)

## Detailed Description

A selectable choice.

See the OPTION element definition in HTML 4.0.

Definition at line 1157 of file html_form.h.

## Member Function Documentation

HTMLFormElement HTMLOptionElement::form | ( |  | ) | const

| ### KDE 4.0: remove Reimplemented from DOM::Element. Definition at line 1087 of file html_form.cpp. References DOM::Element::form().

bool HTMLOptionElement::defaultSelected | ( |  | ) | const

| Stores the initial value of the `selected` attribute. Definition at line 1092 of file html_form.cpp. References DOM::Element::getAttribute(), and DOM::DOMString::isNull().

void HTMLOptionElement::setDefaultSelected | ( | bool |  | ) |

| see defaultSelected Definition at line 1098 of file html_form.cpp.

DOMString HTMLOptionElement::text | ( |  | ) | const

| The text contained within the option element. Definition at line 1103 of file html_form.cpp.

long HTMLOptionElement::index | ( |  | ) | const

| The index of this `OPTION` in its parent `SELECT` . Reimplemented from DOM::Node. Definition at line 1109 of file html_form.cpp.

void HTMLOptionElement::setIndex | ( | long |  | ) |

| see index This function is obsolete - the index property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html) Definition at line 1115 of file html_form.cpp.

bool HTMLOptionElement::disabled | ( |  | ) | const

| The control is unavailable in this context. See the disabled attribute definition in HTML 4.0. Definition at line 1120 of file html_form.cpp. References DOM::DOMString::isNull().

void HTMLOptionElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 1126 of file html_form.cpp.

DOMString HTMLOptionElement::label | ( |  | ) | const

| Option label for use in hierarchical menus. See the label attribute definition in HTML 4.0. Definition at line 1131 of file html_form.cpp.

void HTMLOptionElement::setLabel | ( | const DOMString & |  | ) |

| see label Definition at line 1137 of file html_form.cpp. References value().

bool HTMLOptionElement::selected | ( |  | ) | const

| Means that this option is initially selected. See the selected attribute definition in HTML 4.0. Definition at line 1142 of file html_form.cpp.

void HTMLOptionElement::setSelected | ( | bool |  | ) |

| see selected Definition at line 1148 of file html_form.cpp.

DOMString HTMLOptionElement::value | ( |  | ) | const

| The current form control value. See the value attribute definition in HTML 4.0. Definition at line 1153 of file html_form.cpp. Referenced by setLabel(), and setValue().

void HTMLOptionElement::setValue | ( | const DOMString & |  | ) |

| see value Definition at line 1159 of file html_form.cpp. References DOM::DOMString::implementation(), and value().

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:12 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003